<template>
  <hover-container
    class="w-40px h-full"
    tooltip-content="主题设置"
    :inverted="theme.header.inverted"
    @click="app.toggleSettingDrawerVisible"
  >
    <icon-ant-design-setting-outlined class="text-18px" />
  </hover-container>
</template>

<script lang="ts" setup>
defineOptions({ name: 'DrawerToggle' });
import { useAppStore, useThemeStore } from '@/store';

const app = useAppStore();
const theme = useThemeStore();
</script>

<style scoped></style>
